Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.21 veröffentlicht (11.06.19)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Veraltete class_parser.php
#21
in inc/init.php,

PHP-Code:
if(function_exists("unicode_decode"))
{
    
// Unicode extension introduced in 6.0
    
error_reporting(E_ALL E_DEPRECATED E_NOTICE E_STRICT);
}
elseif(
defined("E_DEPRECATED"))
{
    
// E_DEPRECATED introduced in 5.3
    
error_reporting(E_ALL E_DEPRECATED E_NOTICE);
}
else
{
    
error_reporting(E_ALL & ~E_NOTICE);


ändern zu

PHP-Code:
if(function_exists("unicode_decode"))
{
    
// Unicode extension introduced in 6.0
    
error_reporting(E_ALL & ~(E_DEPRECATED|E_NOTICE|E_STRICT));
}
elseif(
defined("E_DEPRECATED"))
{
    
// E_DEPRECATED introduced in 5.3
    
error_reporting(E_ALL & ~(E_DEPRECATED|E_NOTICE));
}
else
{
    
error_reporting(E_ALL & ~E_NOTICE);


Aus irgendeinem Grund ist bei square7 E_ALL anders definiert ( 6143 statt 32767 ) und der MyBB-Code, der fest davon ausgeht daß E_DEPRECATED, E_NOTICE, E_STRICT in E_ALL enthalten sind, schaltet diese dann ein statt aus.

^ zu & ~() ändern garantiert daß die Bits ausgeschalten werden, egal ob sie vorher an oder aus waren. Die Warnungen sollten dann hoffentlich verschwinden.

Ein Fehler von MyBB ist das streng genommen nicht; selbst im PHP Sourcecode kommt die ^ Syntax vor (./tests/func/bug64523.phpt:4:error_reporting = E_ALL ^ E_NOTICE ^ E_STRICT ^ E_DEPRECATED). Eine Einstellung, E_ALL einen anderen Wert zu geben, finde ich in den PHP Sourcen auch nicht, ich vermute daher, daß square7 sein PHP irgendwie verpatcht hat. Auf der anderen Seite ist bei PHP immer alles möglich...
#22
Ist das denn mit der änderung die du hier gepostet hast, der Fehler behoben ?

Ach ja, und wieder neues Posting vom superknaller da da drüben.

bei allem Respekt - PHP 5.3 soll bald eingestellt werden, PHP 5.4 (was hier auch zutreffen würde bzgl. der Fehlermeldungen) ist schon relativ lange draußen und 5.5 auch seitens einer Beta für Entwickler auch schon lange Zeit.

Wir können hier ja auch unmöglich versteinern was unsere Software angeht, nur weil manche wenige Projektentwickler nicht am Puls der Zeit arbeiten.

Statt an der Aktualität irgendwelcher Provider wie auch Square7 etwas zu bemängeln, sollten Entwickler lieber anständig programmieren; gerade der genannte Fehler ist schon (sehr) lange Zeit als veraltet klassifiziert und soll nicht mehr verwendet werden. Hier auf am Hoster zu meckern halte ich weder für angebracht noch für sinnvoll, ich empfinde es eher als unerhört und empörend. Die Devs und andere "Benutzer" mögen ja vielleicht irgendwo "Kunde" sein (weil ja `Freehoster` bemängelt werden), können sie auch - ich habe jahrelange Erfahrung mit solchen Dienstanbietern und würde kaum jemandem dort auch noch etwas für deren Hostingtechnologie etwas bezahlen.

Speziell wenns dort nach dem Motto "wir belassens beim alten, weil es ja funktioniert" geht. Wie dermaßen-nach-hinten so etwas losgehen kann, ist mir als Chef von 2 Hostingunternehmen sehr gut bekannt (Sicherheitsprobleme, Hacking, Spam, Malware, eingeschleuster Code).

Du solltest jeden Morgen beim Aufstehen dafür dankbar sein, bei Square7 hosten zu dürfen :hail:
#23
frostschutz mein Held! Vielen lieben dank! <3 Passt bisher wunderbar -auch wenns erst 3 Minuten drin ist ;D- Danke nochmals an alle! Smile
#24
Selten so einen Unsinn gelesen... Zum einen wurde die Änderung recht kurzfristig eingeführt, zum anderen ist die Deprecated-Phase ja genau dafür da um die Scripte anzupassen. Wenn Square7 bei der Fehlerbehandlung rumpfuscht, dann kann man das als Entwickler kaum ahnen und Ausnahmen einbauen.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#25
Hat bei mir auch Geholfen. Vielen Dank für die Schnelle Hilfe Smile
#26
Ich habe keine Lust mich im Square7 Forum zu registieren, falls einer von euch dort aktiv ist, kann ja mal vorsichtig anfragen, was es mit E_ALL auf sich hat. Ich habs gerade mal bei Debian getestet (was ja normal für seine "stabile", also Steinzeitsoftware bekannt ist) und selbst da liefert E_ALL den korrekten Wert.
#27
(02.07.2013, 22:07)frostschutz schrieb: Ich habe keine Lust mich im Square7 Forum zu registieren, falls einer von euch dort aktiv ist, kann ja mal vorsichtig anfragen, was es mit E_ALL auf sich hat. Ich habs gerade mal bei Debian getestet (was ja normal für seine "stabile", also Steinzeitsoftware bekannt ist) und selbst da liefert E_ALL den korrekten Wert.
Bei Square7 tummeln sich nur so unfreundliche Support Mitarbeiter. Da wird man metaphorisch zusammengeschlagen. Aber bitte schön: http://forum.square7.ch/viewtopic.php?f=4&t=4207
#28
Kähähä, die Antwort ist Gold wert. Danke.

Unabhängig davon ist es natürlich trotzdem nicht verkehrt, das in MyBB zu ändern.
#29
Hallo zusammen,

habe mir hier alles brav durchgelesen und auch eben bei square7 rübergeschaut.
Da ich aber ein absoluter Neuling auf dem ganzen Gebiet bin und erst vor kurzem ein Forum als Admin übernommen habe, wollte ich fragen, ob sich das jetzt nur dadurch lösen lässt, wenn ich im php-code was ändere oder ob da eventuell noch eine Lösung für Vollpfosten wie mich in diesem Bereich kommt.

Viele Grüße und Danke schonmal
Lumpe
#30
Nun ja, nach der Aussage von Superschlaubi da drüben:

Und ja, meine Darstellung ist durchaus berechtigt.
Die Modifikation habe ich bei Dir eingefügt, deswegen geht es. Jetzt wäre der Support bzw. die Entwickler an der Reihe, eine angepasste überfällige Version für moderne Hoster rauszubringen.

Ich Frage mich echt was der für ein Problem hat da drüben.
Wäre ich auf den Webspace da nich angewiesen und man könnte einfach umziehen auf meinen Webspace wäre ich da weg.